"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DbConnect = void 0;
const mongoose_1 = __importDefault(require("mongoose"));
class DbConnect {
    constructor(__mongoose, __dbConnectionString) {
        this.__mongoose = __mongoose;
        this.__dbConnectionString = __dbConnectionString;
        this._mongoose = this.__mongoose;
        this._dbConnectionString = this.__dbConnectionString;
    }
    get mongoose() {
        return this._mongoose;
    }
    connect() {
        return __awaiter(this, void 0, void 0, function* () {
            try {
                const db = this._dbConnectionString;
                yield mongoose_1.default.connect(db);
                return true;
            }
            catch (error) {
                throw { error: `Db connection failed`, errorCode: 400 };
            }
        });
    }
}
exports.DbConnect = DbConnect;
